<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jstl/sql" prefix="sql"%>
<html>
<HEAD>

<TITLE>Using a Transaction with a JSP</TITLE>
</HEAD>
<body bgcolor="white">
<h2>View table Data</h2>
<form method="post">
<table>
	<tr>
		<td>Enter First Name</td>
		<td><input type="text" name="fname"></td>
	</tr>
	<tr>
		<td>Enter Last Name</td>
		<td><input type="text" name="lname"></td>
	</tr>
	<tr>
		<td>Enter Salary</td>
		<td><input type="text" name="salary"></td>
	</tr>
	<tr>
		<td>Enter Total Bonus</td>
		<td><input type="text" name="bonus"></td>
	</tr>
	<tr>
		<td></td>
		<td><input type="submit" value="submit"></td>
	</tr>
</table>
</form>
<c:if test="${pageContext.request.method=='POST'}">
	<c:catch var="exception">
		<sql:setDataSource var="dataSource" driver="com.mysql.jdbc.Driver"
			url="jdbc:mysql://localhost:3306/mahendra" user="root"
			password="root" />

		<sql:transaction dataSource="${dataSource}">

			<sql:update>
  INSERT INTO employee_master (firstname,lastname,salary,tonus) VALUES (?, ?, ?, ?)
    <sql:param value="${param.fname}" />
				<sql:param value="${param.lname}" />
				<sql:param value="${param.salary}" />
				<sql:param value="${param.bonus}" />
			</sql:update>

			<sql:query var="resultObj">
    select * from employee_master
    </sql:query>

		</sql:transaction>
		<table border="1">
			<c:forEach items="${resultObj.rows}" var="row">
				<tr>
					<c:forEach items="${row}" var="column">

						<td><c:out value="${column.value}" /></td>
					</c:forEach>
				</tr>
			</c:forEach>
		</table>
	</c:catch>
	<c:if test="${exception!=null}">
		<b>Exception : </b>
		<c:out value="${exception}" />
	</c:if>
</c:if>

</body>
</html>